Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.highlight
Class NullFragmenter

    java.lang.Object
      org.apache.lucene.search.highlight.NullFragmenter

All Implemented Interfaces:
  Fragmenter

    public class NullFragmenter

extends Object
implements Fragmenter

`Fragmenter` implementation which does not fragment the text. This is useful for highlighting the entire content of a document or field.

Constructor Summary
`NullFragmenter()`

Method Summary
`boolean` | `isNewFragment(Token token)` Test to see if this token from the stream should be held in a new TextFragment
`void` | `start(String s)` Initializes the Fragmenter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullFragmenter

    public NullFragmenter()

Method Detail

### start

    public void start(String s)

  Description copied from interface: `Fragmenter`
  Initializes the Fragmenter

  Specified by:
    `start` in interface `Fragmenter`

### isNewFragment

    public boolean isNewFragment(Token token)

  Description copied from interface: `Fragmenter`
  Test to see if this token from the stream should be held in a new TextFragment

  Specified by:
    `isNewFragment` in interface `Fragmenter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.